import React from 'react';
import PureRenderMixin from 'react-addons-pure-render-mixin';
import { Permissions } from 'constants/Common';
import PermissionStore from 'stores/Permissions';

import Add from './Controls/Add';

const Footer = React.createClass({

    mixins: [PureRenderMixin],

    render() {
        if (!PermissionStore.contains(Permissions.ADD_GROUPS)) {
            return null;
        }

        return (
            <div className="department-footer section-footer">
                <Add />
            </div>
        );
    },
});

Footer.propTypes = {

};

export default Footer;
